Skip to main content

List and Get Offers

Retrieve a list of your offers or get details of a specific offer.

List Offers

Get a paginated list of all your offers with optional filtering.

Endpoint

GET /v1/offers

Query Parameters

ParameterTypeRequiredDescription
pagination[page]integerNoPage number (default: 1)
pagination[per_page]integerNoItems per page
filters[status]stringNoFilter by status: active, draft, deleted
filters[offer_type]stringNoFilter by type: accounts, items, currency
filters[game_id]stringNoFilter by game ID

Request Example

curl -X GET "https://sellerapi.ggchest.com/v1/offers?pagination[page]=1&pagination[per_page]=20&filters[status]=active&filters[offer_type]=accounts" \
-H "X-API-KEY: your-api-key-here"

Response Example

{
"items": [
{
"id": "cc0e8400-e29b-41d4-a716-446655440030",
"offer_type": "accounts",
"title": "World of Warcraft Level 60 Account",
"description": "Premium account with rare mounts and achievements",
"price": "99.99",
"old_price": "149.99",
"status": "active",
"delivery_method": "manual",
"delivery_time": "5m",
"qty_total": "10",
"qty_min": "1",
"page_slug": "world-of-warcraft-level-60-account",
"icon": {
"id": "dd0e8400-e29b-41d4-a716-446655440031",
"path": "https://cdn.ggchest.com/offers/icon.png"
},
"game_id": "550e8400-e29b-41d4-a716-446655440000",
"game_name": "World of Warcraft",
"attributes": [
{
"attribute_id": "aa0e8400-e29b-41d4-a716-446655440020",
"attribute_name": "Server",
"option_id": "bb0e8400-e29b-41d4-a716-446655440021",
"option_name": "US-East"
},
{
"attribute_id": "aa0e8400-e29b-41d4-a716-446655440024",
"attribute_name": "Level",
"option_id": "bb0e8400-e29b-41d4-a716-446655440025",
"option_name": "1-10"
}
],
"expired_at": "2024-12-31T23:59:59Z",
"extra_properties": {
"game_currency": null
}
},
{
"id": "cc0e8400-e29b-41d4-a716-446655440032",
"offer_type": "currency",
"title": "100,000 Gold",
"description": "Fast delivery, secure transaction",
"price": "29.99",
"status": "active",
"delivery_method": "manual",
"delivery_time": "5m",
"qty_total": "1000",
"qty_min": "100",
"page_slug": "100000-gold",
"icon": null,
"game_id": "550e8400-e29b-41d4-a716-446655440000",
"game_name": "World of Warcraft",
"attributes": [],
"expired_at": null,
"extra_properties": {
"game_currency": {
"id": "880e8400-e29b-41d4-a716-446655440010",
"name": "Gold",
"nominal": "1000",
"icon": {
"id": "990e8400-e29b-41d4-a716-446655440011",
"path": "https://cdn.ggchest.com/icons/gold.png"
}
}
}
}
],
"pagination": {
"total_count": 45,
"page_count": 3,
"page": 1,
"per_page": 20
}
}

Response Fields

FieldTypeDescription
itemsarrayArray of offer objects
items[].idstringOffer identifier (UUID)
items[].offer_typestringOffer type: accounts, items, currency
items[].titlestringOffer title
items[].descriptionstringOffer description
items[].pricestringPrice in USD
items[].old_pricestring|nullPrevious price (for showing discounts)
items[].statusstringStatus: active, draft, deleted
items[].delivery_methodstringDelivery method: manual, auto
items[].delivery_timestringEstimated delivery time. Values: 5m, 20m, 1h, 5h, 12h, 1d, 2d, 3d, 7d, 14d, 28d
items[].qty_totalstringTotal quantity available
items[].qty_minstringMinimum purchase quantity
items[].page_slugstring|nullURL slug for the offer page
items[].iconobject|nullOffer icon
items[].icon.idstringIcon identifier
items[].icon.pathstringURL to icon image
items[].game_idstringGame identifier
items[].game_namestringGame name
items[].attributesarrayOffer attributes
items[].attributes[].attribute_idstringAttribute identifier
items[].attributes[].attribute_namestringAttribute name
items[].attributes[].option_idstringSelected option identifier
items[].attributes[].option_namestringSelected option name
items[].expired_atstring|nullExpiration date (ISO 8601)
items[].extra_propertiesobjectAdditional properties based on offer type
items[].extra_properties.game_currencyobject|nullCurrency details (for currency offers)
paginationobjectPagination information
pagination.total_countintegerTotal number of offers
pagination.page_countintegerTotal number of pages
pagination.pageintegerCurrent page number
pagination.per_pageintegerItems per page

Get Single Offer

Retrieve detailed information about a specific offer.

Endpoint

GET /v1/offers/{id}

Path Parameters

ParameterTypeRequiredDescription
idstringYesOffer ID (UUID)

Request Example

curl -X GET "https://sellerapi.ggchest.com/v1/offers/cc0e8400-e29b-41d4-a716-446655440030" \
-H "X-API-KEY: your-api-key-here"

Response Example

{
"id": "cc0e8400-e29b-41d4-a716-446655440030",
"title": "World of Warcraft Level 60 Account",
"offer_type": "accounts",
"description": "Premium account with rare mounts and achievements",
"price": "99.99",
"status": "active",
"delivery_time": "5m",
"delivery_method": "manual",
"qty_total": 10,
"qty_min": 1,
"game_id": "550e8400-e29b-41d4-a716-446655440000",
"icon": {
"id": "dd0e8400-e29b-41d4-a716-446655440031",
"path": "https://cdn.ggchest.com/offers/icon.png"
},
"attributes": [
{
"id": "aa0e8400-e29b-41d4-a716-446655440020",
"attribute_name": "Server",
"option_id": "bb0e8400-e29b-41d4-a716-446655440021",
"option_name": "US-East"
}
],
"extra_properties": {
"accounts": [
{
"id": "ee0e8400-e29b-41d4-a716-446655440040",
"description": "Account #1",
"login": "player123",
"password": "securepass",
"email_login": "[email protected]",
"email_password": "emailpass"
}
],
"game_currency": null
}
}

Response Fields

FieldTypeDescription
idstringOffer identifier (UUID)
titlestringOffer title
offer_typestringOffer type: accounts, items, currency
descriptionstringOffer description
pricestringPrice in USD
old_pricestring|nullPrevious price (for showing discounts)
statusstringStatus: active, draft, deleted
delivery_timestringEstimated delivery time. Values: 5m, 20m, 1h, 5h, 12h, 1d, 2d, 3d, 7d, 14d, 28d
delivery_methodstringDelivery method: manual, auto
qty_totalintegerTotal quantity available
qty_minintegerMinimum purchase quantity
game_idstringGame identifier
iconobject|nullOffer icon
attributesarrayOffer attributes
extra_propertiesobjectAdditional properties based on offer type
extra_properties.accountsarray|nullAccount details (for account offers)
extra_properties.accounts[].idstringAccount identifier
extra_properties.accounts[].loginstring|nullAccount login
extra_properties.accounts[].passwordstring|nullAccount password
extra_properties.accounts[].email_loginstring|nullEmail login
extra_properties.accounts[].email_passwordstring|nullEmail password
extra_properties.accounts[].descriptionstring|nullAccount description
extra_properties.game_currencyobject|nullCurrency details (for currency offers)

Error Responses

404 Not Found

Returned when the offer ID is invalid or the offer doesn't exist.

{
"message": "Page not found"
}